Package org.opensaml.saml.saml2.metadata

# Interface Organization

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `OrganizationImpl`

public interface Organization extends SAMLObject, AttributeExtensibleXMLObject
SAML 2.0 Metadata Organization.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<OrganizationDisplayName>`
`getDisplayNames()`
Gets a list of display names for this organization.
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`List<OrganizationName>`
`getOrganizationNames()`
Gets a list of names for this organization.
`List<OrganizationURL>`
`getURLs()`
Gets a list of URLs for this organization.
`void`
`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getExtensions

@Nullable Extensions getExtensions()
Gets the Extensions child of this object.

Returns:
  the Extensions child of this object

### setExtensions

void setExtensions(@Nullable Extensions extensions)
Sets the Extensions child of this object.

Parameters:
  `extensions` - the Extensions child of this object

### getOrganizationNames

@Nonnull @Live List<OrganizationName> getOrganizationNames()
Gets a list of names for this organization.

Returns:
  list of names for this organization

### getDisplayNames

@Nonnull @Live List<OrganizationDisplayName> getDisplayNames()
Gets a list of display names for this organization.

Returns:
  list of display names for this organization

### getURLs

@Nonnull @Live List<OrganizationURL> getURLs()
Gets a list of URLs for this organization.

Returns:
  list of URLs for this organization